API reference
List subscribers
Lists subscribers in deterministic cursor order.
Authorization
apiKey AuthorizationBearer <token>
A scoped fd_test_ or fd_live_ server credential.
In: header
Path Parameters
workspace_id*string
Opaque workspace identifier.
Match
^ws_Query Parameters
limit?integer
Maximum number of objects to return.
Range
1 <= value <= 100Default
20after?string
Opaque cursor returned by the previous page.
status?string
Restrict results to one subscription status.
Value in
- "active"
- "unsubscribed"
- "bounced"
- "pending"
tag?string
Restrict results to subscribers with this exact tag.
Length
length <= 40Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/workspaces/ws_01JEXAMPLE/subscribers"{ "data": [ { "id": "sub_01JEXAMPLE", "object": "subscriber", "email": "user@example.com", "name": "string", "status": "active", "tags": [ "string" ], "location": "string", "source": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "pagination": { "has_more": true, "next_cursor": "string" }}
